=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.86.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.86.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.87.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.87.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.87.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.88.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
@@ -55,6 +55,7 @@
  wasi-libc (>= 0.0~git20241209.574b88d~~) <!nowasm>,
  wasi-libc (<= 0.0~git20241209.574b88d++) <!nowasm>,
  clang-19:native,
+ lld-19:native,
 # see #1057780, gdb now Conflicts gdb-minimal
 #Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
@@ -89,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.87
+Package: libstd-rust-1.88
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -117,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.87 (= ${binary:Version}),
+ libstd-rust-1.88 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
