## rustc 1.89.0+dfsg1

=== debian/changelog ===
rustc (1.89.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 26 Oct 2025 17:37:38 +0100

rustc (1.89.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 23 Oct 2025 21:15:10 +0200

rustc (1.89.0+dfsg1-1) unstable; urgency=medium

  * cherry-pick f32/f64::{min,max}imum fallback
  * loongarch: fix C function ABI wrt floats
  * d/rules: count failed test invocations as test failures (again)
  * x32: set panic strategy to abort
  * x32: skip test suite analysis

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 13 Oct 2025 15:19:45 +0200

rustc (1.89.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * update config.toml.in

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 10 Oct 2025 11:57:40 +0200

rustc (1.88.0+dfsg1-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 09 Oct 2025 12:47:04 +0200

rustc (1.87.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * no-change source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 29 Sep 2025 08:54:07 +0200

rustc (1.87.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 27 Sep 2025 22:10:20 +0200

rustc (1.86.0+dfsg1-1~bpo13+2) trixie-backports; urgency=medium

  * no-change source-only upload

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 05 Sep 2025 09:20:38 +0200

rustc (1.86.0+dfsg1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 31 Aug 2025 11:31:17 +0200
