## rustc 1.90.0%2Bdfsg1

=== debian/changelog ===
rustc (1.90.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * loongarch: fix std_detect with LLVM 19

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 16 Oct 2025 11:20:34 +0200
