## rustc 1.90.0+dfsg1

=== src/tools/rustc-perf/collector/compile-benchmarks/cargo/url-1.5.1/Makefile ===
test:
	cargo test --features "query_encoding serde rustc-serialize heapsize"
	(cd idna && cargo test)
	(cd url_serde && cargo test)

.PHONY: test
