=== debian/changelog ===
rustc (1.90.0+dfsg1-1) unstable; urgency=medium

  * rust-src: add lintian override for jquery copy in benchmark input
  * d/control: let rust-analyzer recommends rust-src (Closes: #1117559)
  * fix loongarch64 build

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 25 Oct 2025 10:07:56 +0200
