=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.89.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.89.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.90.0++)    <!pkg.rustc.dlstage0>,
- llvm-19-dev:native,
- llvm-19-tools:native,
+ cargo:native (>= 1.90.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.90.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.91.1++)    <!pkg.rustc.dlstage0>,
+ llvm-21-dev:native,
+ llvm-21-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
  gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
- libllvm19 (>= 1:19.0.0),
- libclang-rt-19-dev:native,
- libclang-rt-19-dev,
+ libllvm21 (>= 1:19.0.0),
+ libclang-rt-21-dev:native,
+ libclang-rt-21-dev,
  cmake (>= 3.0),
 # needed by some vendor crates
  pkgconf:native,
@@ -52,10 +52,10 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- wasi-libc (>= 0.0~git20250726.3f7eb4c~~) <!nowasm>,
+ wasi-libc (>= 0.0~git20250726.3f7eb4c-4~) <!nowasm>,
  wasi-libc (<= 0.0~git20250726.3f7eb4c++) <!nowasm>,
- clang-19:native,
- lld-19:native,
+ clang-21:native,
+ lld-21:native,
 # see #1057780, gdb now Conflicts gdb-minimal
 #Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.90
+Package: libstd-rust-1.91
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.90 (= ${binary:Version}),
+ libstd-rust-1.91 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
@@ -171,7 +171,7 @@
 # Embeds wasi-libc so doesn't need to depend on it
 # None of its licenses require source redistrib, so no need for Built-Using
 Recommends:
- lld-19, clang-19,
+ lld-21, clang-21,
 Suggests:
 # nodejs contains wasi-node for running the program
  nodejs (>= 12.16),
@@ -193,6 +193,31 @@
  needed to cross-compile Rust programs to the wasm32-unknown-unknown and
  wasm32-wasip1/wasm32-wasip2 targets.
 
+Package: libstd-rust-dev-bpf
+Section: libdevel
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends:
+ lld-21, clang-21,
+Build-Profiles: <!pkg.rustc.nobpf>
+Description: Rust standard libraries - development files
+ Rust is a curly-brace, block-structured expression language.  It
+ visually resembles the C language family, but differs significantly
+ in syntactic and semantic details.  Its design is oriented toward
+ concerns of "programming in the large", that is, of creating and
+ maintaining boundaries - both abstract and operational - that
+ preserve large-system integrity, availability and concurrency.
+ .
+ It supports a mixture of imperative procedural, concurrent actor,
+ object-oriented and pure functional styles.  Rust also supports
+ generic programming and meta-programming, in both static and dynamic
+ styles.
+ .
+ This package contains the standard Rust libraries including development files,
+ needed to cross-compile Rust programs to the bpfeb-unknown-none and
+ bpfel-unknown-none targets.
+
 Package: rust-gdb
 Architecture: all
 Depends: gdb, ${misc:Depends}
@@ -217,7 +242,7 @@
 Package: rust-lldb
 Architecture: all
 # When updating, also update rust-lldb.links
-Depends: lldb-19, ${misc:Depends}, python3-lldb-19
+Depends: lldb-21, ${misc:Depends}, python3-lldb-21
 Replaces: rustc (<< 1.1.0+dfsg1-1)
 Description: Rust debugger (lldb)
  Rust is a curly-brace, block-structured expression language.  It
@@ -247,9 +272,9 @@
  rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
 Depends: ${shlibs:Depends}, ${misc:Depends},
 # lld and clang are needed for wasm compilation
- lld-19, clang-19,
+ lld-21, clang-21,
 # llvm is needed for llvm-dwp for split-debuginfo=packed
- llvm-19
+ llvm-21
 Description: Rust LLVM integration
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -276,26 +301,3 @@
 Recommends: cargo-doc
 Description: Rust systems programming language - Documentation
  Rust is a curly-brace, block-structured expression language.  It
- visually resembles the C language family, but differs significantly
- in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and
- maintaining boundaries - both abstract and operational - that
- preserve large-system integrity, availability and concurrency.
- .
- It supports a mixture of imperative procedural, concurrent actor,
- object-oriented and pure functional styles.  Rust also supports
- generic programming and meta-programming, in both static and dynamic
- styles.
- .
- This package contains the Rust tutorial, language reference and
- standard library documentation.
-
-Package: rust-src
-Architecture: all
-Depends: ${misc:Depends}
-Conflicts: rustup
-Description: Rust systems programming language - source code
- Rust is a curly-brace, block-structured expression language.  It
- visually resembles the C language family, but differs significantly
- in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and
