=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
 # Use system LLVM (comment out to use vendored LLVM)
-LLVM_VERSION = 19
-OLD_LLVM_VERSION = 18
+LLVM_VERSION = 21
+OLD_LLVM_VERSION = 19
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
 # Make it easier to test against a custom LLVM
@@ -54,15 +54,18 @@
 CLANG_RT_ARCH = armhf
 endif
 
-ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64))
+ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64 x32))
 # sparc64: see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1061125
 # mips64el: has profiler, but buggy atm (32-bit overflow in some counter?)
+# x32: has profiler, but no builtins support upstream, so disabled for now
 CLANG_RT_ARCH =
 PROFILER = "false"
 PROFILER_PATH = ""
+COMPILER_RT_PATH = "false"
 else
 PROFILER = "true"
 PROFILER_PATH = profiler = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a\"
+COMPILER_RT_PATH = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.builtins-$(CLANG_RT_ARCH).a\"
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -73,6 +76,12 @@
 # force reproducibility
 RUSTBUILD_DOCS = $(RUSTBUILD_COMMON) -j1
 RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
+
+# 1.90 had no locking support yet, but 1.91.1 requires it, drop this with 1.92 again
+ifneq (,$(filter $(DEB_TARGET_ARCH),hurd-i386 hurd-amd64))
+RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env --bypass-bootstrap-lock
+endif
+
 # rust-tidy depends on lots of modules that we strip out of the build.
 # it also tries to access the network for some reason. so just disable it.
 RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
@@ -154,6 +163,12 @@
   BUILD_WASM := false
 endif
 
+BUILD_BPF := true
+BPF_TARGETS := "bpfeb-unknown-none,bpfel-unknown-none"
+ifneq (,$(findstring pkg.rustc.nobpf,$(DEB_BUILD_PROFILES)))
+  BUILD_BPF := false
+endif
+
 WINDOWS_SUPPORT := amd64 i386
 BUILD_WINDOWS := false
 ifneq (,$(findstring pkg.rustc.windows,$(DEB_BUILD_PROFILES)))
@@ -183,29 +198,3 @@
 
 VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
 VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
-VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))
-
-ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
-  export DH_VERBOSE=1
-endif
-
-ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
-  export DH_QUIET=1
-.SILENT:
-endif
-
-# Build products or non-source files in src/, that shouldn't go in rust-src
-SRC_CLEAN = src/bootstrap/bootstrap.pyc \
-	src/bootstrap/__pycache__ \
-	src/etc/__pycache__/
-
-# Try to work around #933045
-ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
-  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
-endif
-
-%:
-	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion
-
-.PHONY: .dbg-windows
-.dbg-windows:
