## rustc 1.92.0+dfsg1

=== debian/changelog ===
rustc (1.92.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * mark rust-src as M-A:foreign (Closes: #1101952)
  * debian/rules: remove unused code (Closes: #1122648)
  * fix cross-build (pending libonig-dev fix)
  * cargo wrapper: also handle cargo-c commands

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 23 Jan 2026 17:54:07 +0100
