=== debian/control ===
--- 
+++ 
@@ -13,15 +13,14 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.90.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.90.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.91.1++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.91.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.91.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.92.0++)    <!pkg.rustc.dlstage0>,
  llvm-21-dev:native,
  llvm-21-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
  gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
  libllvm21 (>= 1:19.0.0),
- libclang-rt-21-dev:native,
  libclang-rt-21-dev,
  cmake (>= 3.0),
 # needed by some vendor crates
@@ -40,10 +39,11 @@
  libgit2-dev (>= 1.9),
  libgit2-dev (<< 1.10~~),
  libhttp-parser-dev,
+# used by rustbook
+ libonig-dev:native,
  libonig-dev,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
-# temporarily disabled cause of #1066794 / t64 transition
  git <!nocheck>,
  procps <!nocheck>,
 # below are optional tools even for 'make check'
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.91
+Package: libstd-rust-1.92
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.91 (= ${binary:Version}),
+ libstd-rust-1.92 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
